<?php defined('SYSPATH') or die('No direct access allowed.');

/**
 * This is class renders Price Type responses and forms.
 *
 * @package    OSB
 * @subpackage Utilities
 * @category   Helpers
 * @author     Deon George
 * @copyright  (c) 2010 Deon George
 * @license    http://dev.leenooks.net/license.html
 */
class StaticList_PriceType extends StaticList {
	protected function table() {
		return array(
			0=>_('One-time Charge'),
			1=>_('Recurring Membership/Subscription'),
			2=>_('Trial for Membership/Subscription')
		);
	}

	public static function factory() {
		return new StaticList_PriceType;
	}

	public static function display($value) {
		return static::_display($value);
	}
}
?>
